params = [
    'original_rom', 'patched_rom',
    'tables_dir', 'font_dir', 'graphics_dir', 'preview_dir',
    'tables_to_patch', 'server_url', 'server_user', 'server_password',
    'server_last_update', 'auto_fetch'
    ]

class Settings(object):
    def __init__(self):
        for p in params:
            self.__setattr__(p, None)

    def load(self, fn):
        f = file(fn,'r')
        for l in f:
            sp = l.split('=')
            key = sp[0]
            value=eval('='.join(sp[1:]))
            self.__setattr__(key,value)
        f.close()

    def save(self, fn):
        f = file(fn, 'w')
        for p in params:
            f.write('%s=%s\n' % (p,repr(self.__getattribute__(p))))
        f.close()
