class FileInFile:
    def __init__(self,f,off,size):
        self.f = f
        self.off = off
        self.saved_pos = off
        self.size = size

    def read(self,nbytes=0):
        prevoff = self.f.tell()
        curoff = self.saved_pos
        self.f.seek(curoff)
        if curoff >= self.off+self.size:
            self.saved_pos = self.off+self.size
            return ''
        if (nbytes == 0) or (curoff+nbytes > self.off+self.size):
            self.saved_pos = self.off+self.size
            d = self.f.read(self.size-(curoff-self.off))
        elif curoff+nbytes <= self.off+self.size:
            self.saved_pos += nbytes
            d = self.f.read(nbytes)

        self.f.seek(prevoff)
        return d

    def seek(self,offset,whence=0):
        if whence == 0:
            self.saved_pos = self.off+offset
        elif whence == 1:
            self.saved_pos += offset
        else:
            self.saved_pos = self.off+self.size+offset

    def tell(self):
        return self.saved_pos-self.off

    def close(self):
        self.save_pos = self.off
