class StringFile(object):
    def __init__(self,data=''):
        self.data = data
        self.pos = 0
        self.size = len(self.data)

    def read(self,n=0):
        if n == 0:
            d = self.data[self.pos:]
            self.pos = self.size
        else:
            d = self.data[self.pos:self.pos+n]
            self.pos += n
        return d

    def write(self,d):
        self.data = self.data[:self.pos]+d+self.data[self.pos+len(d):]
        self.pos += len(d)
        self.size = len(self.data)

    def seek(self,offset,whence=0):
        if whence == 0:
            self.pos = offset
        elif whence == 1:
            self.pos += offset
        elif whence == 2:
            self.pos = len(self.data)+offset

    def tell(self):
        return self.pos
